//********************************************************************
//  Weapon.java
//    Represents one weapon type.
//  Copyright (c) 2013 Daniel R. Collins. All rights reserved.
//********************************************************************

public class Weapon {
	private String name, code;
	private int range, toHit, dmgDice, dmgAdd, modICM;
	private boolean RD, FF, LTD, MPO;

	//-----------------------------------------------------------------
	//  Basic constructor 
	//-----------------------------------------------------------------
	public Weapon (String code, String name,
			int range, int toHit, int dmgDice, int dmgAdd, int modICM,
			boolean RD, boolean FF, boolean LTD, boolean MPO) {
	
		this.code = code;
		this.name = name;
		this.range = range;
		this.toHit = toHit;
		this.dmgDice = dmgDice;
		this.dmgAdd = dmgAdd;
		this.modICM = modICM;
		this.RD = RD;
		this.FF = FF;
		this.LTD = LTD;
		this.MPO = MPO;
	}
	
	//-----------------------------------------------------------------
	//  Accessors
	//-----------------------------------------------------------------
	public String getName() { return name; };
	public String getCode() { return code; };
	public int getRange() { return range; };
	public int getToHit() { return toHit; };
	public int getDmgDice() { return dmgDice; };
	public int getDmgAdd() { return dmgAdd; };
	public int getModICM() { return modICM; };
	public boolean isRD() { return RD; };
	public boolean isFF() { return FF; };
	public boolean isLTD() { return LTD; };
	public boolean isMPO() { return MPO; };

	//-----------------------------------------------------------------
	//  String description
	//-----------------------------------------------------------------
	public String toString() {
		return name;
	}
}

